# runkit_method_rename

(PECL runkit >= 0.7.0)

runkit_method_rename — Dynamically changes the name of the given method

### Description

runkit_method_rename ( string `$classname` , string `$methodname` , string `$newname` ) : bool

> Note: This function cannot be used to manipulate the currently running (or chained) method.

### Parameters

`classname`

  The class in which to rename the method

`methodname`

  The name of the method to rename

`newname`

  The new name to give to the renamed method

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 runkit_method_rename() example

`<?php
class Example {
function foo() {
return "foo!\n";
}
}
// Rename the 'foo' method to 'bar'
runkit_method_rename(
'Example',
'foo',
'bar'
);
// output renamed function
echo Example::bar();
?>`

The above example will output:

    foo!

### See Also

- runkit_method_add() - Dynamically adds a new method to a given class
- runkit_method_copy() - Copies a method from class to another
- runkit_method_redefine() - Dynamically changes the code of the given method
- runkit_method_remove() - Dynamically removes the given method
- runkit_function_rename() - Change a function's name